AbstractRegionPainter.PaintContext.CacheMode (Java Platform SE 8 )
Keywords: javax.swing.plaf.nimbus.AbstractRegionPainter.PaintContext.CacheMode class
Date: 2026-04-22

javax.swing.plaf.nimbus

## Enum AbstractRegionPainter.PaintContext.CacheMode

- java.lang.Object
- - java.lang.Enum<AbstractRegionPainter.PaintContext.CacheMode>
  - - javax.swing.plaf.nimbus.AbstractRegionPainter.PaintContext.CacheMode

- All Implemented Interfaces:
    Serializable, Comparable<AbstractRegionPainter.PaintContext.CacheMode>
  Enclosing class:
    AbstractRegionPainter.PaintContext

      protected static enum AbstractRegionPainter.PaintContext.CacheMode
      extends Enum<AbstractRegionPainter.PaintContext.CacheMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIXED_SIZES`
    `NINE_SQUARE_SCALE`
    `NO_CACHING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractRegionPainter.PaintContext.CacheMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractRegionPainter.PaintContext.CacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CACHING

          public static final AbstractRegionPainter.PaintContext.CacheMode NO_CACHING

    - #### FIXED_SIZES

          public static final AbstractRegionPainter.PaintContext.CacheMode FIXED_SIZES

    - #### NINE_SQUARE_SCALE

          public static final AbstractRegionPainter.PaintContext.CacheMode NINE_SQUARE_SCALE

  - ### Method Detail

    - #### values

          public static AbstractRegionPainter.PaintContext.CacheMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractRegionPainter.PaintContext.CacheMode c : AbstractRegionPainter.PaintContext.CacheMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractRegionPainter.PaintContext.CacheMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.